[SeaMonkey 2.1, leak test] cb-seamonkey-linux-01 fails with "WARNING: ... nsCSSLoader.cpp, line 2101" followed by "ASSERTION: Could not load scrollbars.css.: 'gStyleCache->mScrollbarsSheet'"

VERIFIED FIXED in seamonkey2.1a1

Status

SeaMonkey
Build Config
VERIFIED FIXED
8 years ago
8 years ago

People

(Reporter: sgautherie, Assigned: Robert Kaiser)

Tracking

(Blocks: 1 bug, {assertion})

Trunk
seamonkey2.1a1
x86
Linux
assertion
Dependency tree / graph
Bug Flags:
in-testsuite -

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [stack available in log], URL)

(Reporter)

Description

8 years ago
...

...
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1251760449.1251765900.5187.gz&fulltext=1
Linux comm-central-trunk leak test build on 2009/08/31 16:14:09
{
###!!! ASSERTION: Could not load scrollbars.css.: 'gStyleCache->mScrollbarsSheet', file /builds/slave/comm-central-trunk-linux-debug/build/mozilla/layout/style/nsLayoutStylesheetCache.cpp, line 89
}

This box (only) is perma orange on this job.
(Reporter)

Comment 1

8 years ago
(In reply to comment #0)
> ...
> 
> ...

I looked back to
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1251530187.1251535864.26633.gz&fulltext=1
Linux comm-central-trunk leak test build on 2009/08/29 00:16:27
Blocks: 452942
(Assignee)

Comment 2

8 years ago
I'm clobbering that tree on that machine, let's see if it helps.
(Reporter)

Comment 3

8 years ago
(In reply to comment #2)

Assuming
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1251835020.1251841051.11911.gz
Linux comm-central-trunk leak test build on 2009/09/01 12:57:00
had been clobbered,
then that did not fix this bug.
(Reporter)

Comment 4

8 years ago
Really not fixed: 7 failures in a row (and counting).
(Reporter)

Comment 5

8 years ago
Neil told me (irc) that bug 514959 might fix this...
Depends on: 514959
(Reporter)

Comment 6

8 years ago
(In reply to comment #5)
> Neil told me (irc) that bug 514959 might fix this...

http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1252367744.1252370224.19699.gz
Linux comm-central-trunk leak test build on 2009/09/07 16:55:44

It did not :-|

*****

Ah, the assertion is preceded by
{
WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/slave/comm-central-trunk-linux-debug/build/mozilla/layout/style/nsCSSLoader.cpp, line 2101
}

Code is
http://mxr.mozilla.org/mozilla-central/source/layout/style/nsCSSLoader.cpp
{
2036 CSSLoaderImpl::InternalLoadNonDocumentSheet(nsIURI* aURL, 
...
2100   rv = LoadSheet(data, state);
2101   NS_ENSURE_SUCCESS(rv, rv);
}
No longer depends on: 514959
Summary: [SeaMonkey 2.1, leak test] cb-seamonkey-linux-01 fails with "ASSERTION: Could not load scrollbars.css.: 'gStyleCache->mScrollbarsSheet'" → [SeaMonkey 2.1, leak test] cb-seamonkey-linux-01 fails with "WARNING: ... nsCSSLoader.cpp, line 2101" followed by "ASSERTION: Could not load scrollbars.css.: 'gStyleCache->mScrollbarsSheet'"
Whiteboard: [stack available in log]

Comment 7

8 years ago
(In reply to comment #6)
> (In reply to comment #5)
> > Neil told me (irc) that bug 514959 might fix this...
> It did not :-|
It fixed it for me locally after a clobber; it won't fix depend builds.

What's happening is that both suite's jar.mn and toolkit's jar.mn provide a location for scrollbars.css; suite says it's in classic.jar and 1.9.1 toolkit also says it's in classic.jar so that's OK; unfortuantely trunk toolkit now puts it in toolkit.jar which results in a conflict. The problem on Linux is that it reads manifest files in creation order, and toolkit.manifest is created before classic.manifest, so classic.manifest wins and points to the bogus location. This isn't a problem on Windows because the file system enumerates files alphabetically and so toolkit.manifest wins because it is read last.
(Assignee)

Comment 8

8 years ago
OK, reading that comment, I will clobber that tree on that machine again.
Component: Layout → General
Product: Core → SeaMonkey
QA Contact: layout → general
(Assignee)

Comment 9

8 years ago
The box has now done a successful trunk leak test build cycle, see http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1252426721.1252431799.17018.gz&fulltext=1
Status: NEW → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → FIXED
(Reporter)

Comment 10

8 years ago
Still not sure why this Linux box only was affected...

V.Fixed, anyway.
Assignee: nobody → kairo
Status: RESOLVED → VERIFIED
Depends on: 514959
Flags: in-testsuite-
Target Milestone: --- → seamonkey2.0
(Reporter)

Updated

8 years ago
Target Milestone: seamonkey2.0 → seamonkey2.1a1
(Reporter)

Updated

8 years ago
Component: General → Build Config
QA Contact: general → build-config
(In reply to comment #10)
> Still not sure why this Linux box only was affected...
Because the Windows file system enumerates files in alphabetical order while the Linux file system enumerates them in creation order and the bogus line is sensitive to the order in which it is processed.
(Reporter)

Comment 12

8 years ago
(In reply to comment #11)

Do the other Linux "VMs" use a Windows file system??
(Assignee)

Comment 13

8 years ago
(In reply to comment #12)
> (In reply to comment #11)
> 
> Do the other Linux "VMs" use a Windows file system??

No, but as all of them are doing dep builds, they might never have created them in the wrong order and therfore wouldn't have run into the problem.
(Reporter)

Comment 14

8 years ago
Bug 489483 would help to catch/fix these issues automatically, then.
Depends on: 489483
You need to log in before you can comment on or make changes to this bug.